# Accept the deposit for this face-to-face transaction

Offline access is allowed for this endpoint when the user has granted the p2p_tx:offline_accept_deposit scope to the client that is performing the request.

Endpoint: POST /api/v1/p2p/transactions/{transaction_id}/accept_deposit
Version: 0.1.0
Security: OAuth2, APIKey

## Header parameters:

  - `Trustap-User` (string)
    Required in client flows, where you make API calls on behalf of another Trustap user.

## Path parameters:

  - `transaction_id` (integer, required)

## Response 200 fields (application/json):

  - `amount_refunded` (integer)

  - `amount_released` (integer)

  - `buyer_handover_confirmed` (string)
    Example: "2019-12-25T16:00:00Z"

  - `buyer_id` (string)
    Example: "feb33a87-3917-4538-9260-127c8a6b5232"

  - `buyer_is_guest` (boolean)

  - `cancellation` (object)

  - `cancellation.reason` (string, required)

  - `cancelled` (string)

  - `claimed_by_buyer` (string)

  - `claimed_by_seller` (string)

  - `client_accrual_net` (integer)

  - `client_id` (string, required)
    Example: "trustap-app"

  - `complained` (string)

  - `complaint` (object)
    Example: {"description":"Item was fake"}

  - `complaint.description` (string, required)
    Example: "Item was fake"

  - `complaint_period_deadline` (string)

  - `complaint_period_ended` (string)

  - `created` (string, required)
    Example: "2019-12-25T09:00:00Z"

  - `currency` (string, required)
    The currency of the transaction. Note that, at present, the
buyer must pay using the transaction's currency and the
seller will be paid in the transaction's currency.
    Example: "eur"

  - `delivered` (string)

  - `deposit_accepted` (string)
    Example: "2019-12-25T12:00:00Z"

  - `deposit_paid` (string)
    Example: "2019-12-25T11:00:00Z"

  - `deposit_pricing` (object, required)
    Example: {"charge":78,"charge_buyer_client":0,"charge_buyer_service":78,"charge_seller":0,"charge_seller_client":0,"charge_seller_service":0,"extra_processing_charge":0,"price":1234,"price_extra":0}

  - `deposit_pricing.charge` (integer, required)
    Example: 78

  - `deposit_pricing.charge_buyer_client` (integer, required)

  - `deposit_pricing.charge_buyer_service` (integer, required)
    Example: 78

  - `deposit_pricing.charge_international_payment` (integer)

  - `deposit_pricing.charge_seller` (integer, required)

  - `deposit_pricing.charge_seller_client` (integer, required)

  - `deposit_pricing.charge_seller_service` (integer, required)

  - `deposit_pricing.deposit_fee_multiplier` (object)

  - `deposit_pricing.deposit_fee_multiplier.fee_multiplier` (number, required)

  - `deposit_pricing.extra_processing_charge` (integer, required)

  - `deposit_pricing.price` (integer, required)
    Example: 1234

  - `deposit_pricing.price_extra` (integer, required)

  - `deposit_refunded` (string)

  - `deposit_review` (object)

  - `deposit_review.approved` (boolean)

  - `deposit_review.finished` (string)

  - `deposit_review.outcome_reason` (string)

  - `deposit_review.started` (string)

  - `deposit_review_flagged` (string)

  - `description` (string, required)
    Example: "Soccer ticket"

  - `funds_released` (string)
    Example: "2019-12-25T17:00:00Z"

  - `id` (integer, required)
    Example: 1309

  - `image_url` (string)
    URL of the image displayed on the Trustap payment page to show the buyer
the item they are paying for.
Supports jpg, png, gif, bmp and svg files. Images displayed as a squares.
Non-square images are cropped

  - `is_deposit_payment_in_progress` (boolean, required)
    If the deposit is paid via a delayed payment method,
such as SEPA debit, this field will be true until the
payment has fully succeeded or failed.

  - `is_remainder_payment_in_progress` (boolean, required)
    If the remainder is paid via a delayed payment method,
such as SEPA debit, this field will be true until the
payment has fully succeeded or failed.

  - `join_code` (string)

  - `joined` (string)
    Example: "2019-12-25T10:00:00Z"

  - `listing_id` (string)
    If the transaction is created from a listing then this is
the ID of that listing; otherwise this property is omitted.

  - `listing_type` (string)
    Enum: "single_use", "multi_use"

  - `order_issue` (object)
    Example: {"description":"Item was not delivered"}

  - `order_issue.description` (string, required)
    Example: "Item was not delivered"

  - `order_issue_raised` (string)

  - `priced` (string)
    Example: "2019-12-25T13:00:00Z"

  - `pricing` (object)
    Example: {"charge":78,"charge_buyer_client":0,"charge_buyer_service":78,"charge_seller":0,"charge_seller_client":0,"charge_seller_service":0,"extra_processing_charge":0,"price":1234,"price_extra":0}

  - `quantity` (integer, required)
    Example: 1

  - `refunded` (string)

  - `refunds` (array)

  - `refunds.amount` (integer, required)

  - `refunds.id` (string, required)

  - `refunds.refunded` (string, required)

  - `rejected` (string)

  - `released_to_seller` (boolean)

  - `remainder_paid` (string)
    Example: "2019-12-25T14:00:00Z"

  - `remainder_review` (object)

  - `remainder_review_flagged` (string)

  - `remainder_skipped` (string)

  - `seller_handover_confirmed` (string)
    Example: "2019-12-25T15:00:00Z"

  - `seller_id` (string)
    Example: "ad5bb99f-85bf-47e1-be0d-15e7541c6ad7"

  - `seller_is_guest` (boolean)

  - `seller_phone_number` (string)

  - `skip_remainder` (boolean, required)
    If skip_remainder is true then this transaction will
move to the "confirm handover" step after the deposit has
been accepted.

  - `status` (string, required)
    Example: "funds_released"

  - `tracked` (string)

  - `tracking` (object)
    Example: {"carrier":"ups","tracking_code":"***"}

  - `tracking.carrier` (string, required)
    Example: "ups"

  - `tracking.tracking_code` (string, required)
    Example: "***"

## Response 400 fields (application/json):

  - `code` (string, required)
    Example: "negative_price"

  - `error` (string, required)
    A contextual description of the error that occurred. When
handling errors the code field should be used to determine
the type of error that occurred, as the text in the error
field may change unexpectedly.
    Example: "`price` cannot be negative"


